# Cart Discounts

Manages discount codes and promotions applied to shopping carts. Use these endpoints to add and remove discounts.

**Available endpoints:**

```
  POST /v1/checkout/cart/{cart_id}/discounts
DELETE /v1/checkout/cart/{cart_id}/discounts/{discount_id}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.violet.io/api-reference/orders-and-checkout/cart-discounts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
